/*!
 * #%L
 * chvote-bo
 * %%
 * Copyright (C) 2016 - 2019 République et Canton de Genève
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */

@import '../../../../node_modules/@angular/material/theming';

@mixin parameter-card-component-theme($theme) {

  $primary: map-get($theme, primary);
  $accent: map-get($theme, accent);
  $warn: map-get($theme, warn);
  $complete: mat-palette($mat-green, 500);
  $locked: mat-palette($mat-grey, 500);
  $background: map-get($theme, background);
  $foreground: map-get($theme, foreground);

  .parameter-card .required {
    color: mat-color($accent);
  }

  .parameter-card .task-complete.mat-mini-fab {
    background-color: mat-color($complete);
    color: mat-color($primary, default-contrast);
  }

  .parameter-card .task-locked.mat-mini-fab {
    background-color: mat-color($locked);
    color: mat-color($primary, default-contrast);
  }

  .parameter-card .task-error.mat-mini-fab {
    background-color: mat-color($warn);
    color: mat-color($primary, default-contrast);
  }

  mat-card.read-only .mat-card-header {
    background-color: mat-color($background, disabled-button-toggle);
  }

  mat-card.in-error .mat-card-header {
    background-color: mat-color($warn, 100);
  }

  .parameter-card .mat-card-actions.with-divider {
    border-top: 1px solid mat-color($foreground, divider);
  }

  .parameter-card .no-config {
    color: mat-color($foreground, disabled-text);
    border: 1px solid mat-color($foreground, divider);
  }

}
